Email templates
Update an email template
PUT
Requires the email-template:write scope.
ApiKeyheader
Authorization<token>Api-Key mc_... — a workspace API key.
identifier*stringapplication/json- body
name?stringtype?stringValue in
"html""mat-builder""react-email""templatical""visual"visualConfig?slug?stringMatch
^[a-z0-9]+(?:-[a-z0-9]+)*$variables?array<>senderIdentityId*stringsubject*stringpreHeaderText*stringbcc*stringhtml*stringreplyTo*stringcurl -X PUT 'https://api.mailcrate.io/public/email-template/string' \ -H 'Authorization: Api-Key <api_key>' \ -H 'Content-Type: application/json' \ -d '{ "senderIdentityId": "string", "subject": "string", "preHeaderText": "string", "bcc": "string", "html": "string", "replyTo": "string"}'Example Response
Empty
Render a template preview POST
Renders the template to HTML without sending it. Pass `data` to fill its variables, and `contactId` (an id or external identifier) to render with that contact's properties. Requires the `email-template:write` scope.
List contact events GET
Requires the `event:read` scope.